metadata:
  id: owncloud
  name:
    en: Owncloud
  version: 0.1.0
  displayVersion: 10.15.0
  category:
    af: Data
    ar: بيانات
    ca: Dades
    cs: Data
    da: Data
    de: Daten
    el: Δεδομένα
    en: Data
    es: Datos
    fi: Data
    fr: Données
    he: Data
    hu: Adat
    it: Data
    ja: データ
    ko: 데이터
    nl: Gegevens
    no: Data
    pl: Dane
    pt: Dados
    ro: Informații
    ru: Данные
    sr: Data
    sv: Data
    tr: Veri
    uk: Дані
    vi: Dữ liệu
    zh: 資料
  tagline:
    en: 'A personal cloud which runs on your own server. '
  developers: {}
  description:
    en: 'ownCloud gives you freedom and control over your own data. A personal cloud which runs on your own server.  '
  basePermissions:
  - builtin/network/cluster-egress
  - builtin/network/local-net
  hasPermissions:
  - builtin/network/cluster-egress
  - builtin/network/local-net
  exposesPermissions: []
  repos:
    Source code: https://github.com/owncloud/core
  support: https://owncloud.com/
  icon: https://raw.githubusercontent.com/runtipi/runtipi-appstore/master/apps/owncloud/metadata/logo.jpg
  defaultPassword: null
  license: Unknown
  settings:
    OWNCLOUD_PASSWORD:
      type: String
      name:
        en: Owncloud password
      description:
        en: ''
      default: null
      max_len: null
      string_type: password
      required: true
      placeholder: null
    OWNCLOUD_USERNAME:
      type: String
      name:
        en: Owncloud username
      description:
        en: ''
      default: null
      max_len: null
      string_type: null
      required: true
      placeholder: null
  volumes:
    data:
      minimum_size: 1073741824
      recommended_size: 5368709120
      name:
        en: App data
      description:
        en: All data generated by the app
  ports: []
  runtime: !Plugin tipi
  allowedScopes:
  - User
  defaultScope: User
  storePlugins: []
  uiModule: null
  supportsIngress: true
  canBeProtected: true
  saasCompatibility: Unknown
  rawIngress: false
  postInstallRedirect: null
  components: []
  isCitadel: false
  preloadType: !MainVolumeFromSubdir data
containers:
  owncloud: !Deployment
    container:
      cap_add: []
      cap_drop: []
      command: null
      entrypoint: null
      environment:
        OWNCLOUD_ADMIN_PASSWORD: !StringLike ''
        OWNCLOUD_ADMIN_USERNAME: !StringLike ''
        OWNCLOUD_DB_HOST: !StringLike owncloud-db
        OWNCLOUD_DB_NAME: !StringLike owncloud
        OWNCLOUD_DB_PASSWORD: !StringLike 0f7bf256f11d995fadebf7e525a0a244
        OWNCLOUD_DB_TYPE: !StringLike mysql
        OWNCLOUD_DB_USERNAME: !StringLike tipi
        OWNCLOUD_DOMAIN: !StringLike test.nirvati.org
        OWNCLOUD_MYSQL_UTF8MB4: !StringLike 'true'
        OWNCLOUD_REDIS_ENABLED: !StringLike 'true'
        OWNCLOUD_REDIS_HOST: !StringLike owncloud-redis
        OWNCLOUD_TRUSTED_DOMAINS: !StringLike test.nirvati.org
      hostname: null
      image: owncloud/server:10.15.0
      privileged: false
      restart: null
      stop_grace_period: null
      uid: null
      gid: null
      volumes:
      - !Longhorn
        name: data
        mount_path: /mnt/data
        sub_path: data/owncloud
        is_readonly: false
        from_app: null
        from_ns: null
      working_dir: null
      shm_size: null
      ulimits: null
      host_network: false
      exposes:
        udp: []
        tcp: []
      fs_group: null
      service_account: null
      network_policy: null
      has_permissions: []
      additional_labels:
        uses-compat-layer: tipi
    middlewares: {}
  owncloud-db: !Deployment
    container:
      cap_add: []
      cap_drop: []
      command:
      - --max-allowed-packet=128M
      - --innodb-log-file-size=64M
      entrypoint: null
      environment:
        MYSQL_DATABASE: !StringLike owncloud
        MYSQL_PASSWORD: !StringLike 0f7bf256f11d995fadebf7e525a0a244
        MYSQL_ROOT_PASSWORD: !StringLike 0f7bf256f11d995fadebf7e525a0a244
        MYSQL_USER: !StringLike tipi
      hostname: null
      image: mariadb:10.6
      privileged: false
      restart: null
      stop_grace_period: null
      uid: null
      gid: null
      volumes:
      - !Longhorn
        name: data
        mount_path: /var/lib/mysql
        sub_path: data/mysql
        is_readonly: false
        from_app: null
        from_ns: null
      working_dir: null
      shm_size: null
      ulimits: null
      host_network: false
      exposes:
        udp: []
        tcp: []
      fs_group: null
      service_account: null
      network_policy: null
      has_permissions: []
      additional_labels:
        uses-compat-layer: tipi
    middlewares: {}
  owncloud-redis: !Deployment
    container:
      cap_add: []
      cap_drop: []
      command:
      - --databases
      - '1'
      entrypoint: null
      environment: {}
      hostname: null
      image: redis:6
      privileged: false
      restart: null
      stop_grace_period: null
      uid: null
      gid: null
      volumes:
      - !Longhorn
        name: data
        mount_path: /data
        sub_path: data/redis
        is_readonly: false
        from_app: null
        from_ns: null
      working_dir: null
      shm_size: null
      ulimits: null
      host_network: false
      exposes:
        udp: []
        tcp: []
      fs_group: null
      service_account: null
      network_policy: null
      has_permissions: []
      additional_labels:
        uses-compat-layer: tipi
    middlewares: {}
services:
  owncloud:
    target_container: owncloud
    type: ClusterIp
    ports:
      udp: {}
      tcp: {}
    cluster_ip: None
    network_policy: null
  owncloud-db:
    target_container: owncloud-db
    type: ClusterIp
    ports:
      udp: {}
      tcp: {}
    cluster_ip: None
    network_policy: null
  owncloud-nirvati-ingress:
    target_container: owncloud
    type: ClusterIp
    ports:
      udp: {}
      tcp:
        8080: 8080
    cluster_ip: null
    network_policy: null
  owncloud-redis:
    target_container: owncloud-redis
    type: ClusterIp
    ports:
      udp: {}
      tcp: {}
    cluster_ip: None
    network_policy: null
ingress:
- target_service: owncloud-nirvati-ingress
  target_ns: null
  target_app: null
  path_prefix: null
  target_port: 8080
  type: Https
  enable_compression: false
  strip_prefix: false
  auth_exclude: false
  component: null
plugins: {}
secrets: []
custom_resources: []
app_network_policy:
  ingress:
    allow_world:
      allow: true
      allowed_ports: null
    allow_cluster:
      allow: false
      allowed_ports: null
    allow_same_ns:
      allow: true
      allowed_ports: null
    cidrs: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: tipi
      allowed_ports: null
      all_namespaces: true
  egress:
    allow_cluster: false
    allow_same_ns: true
    allow_kube_api: false
    allow_world: true
    allow_local_net: true
    dns:
      allow: true
      allowed_lookup_names: null
      allowed_lookup_pattern: null
    fqdns: []
    cidrs: []
    services: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: tipi
      allowed_ports: null
      all_namespaces: true
other: []
